<button mat-stroked-button tabindex="3" class="iconButton" (click)="navigateToParent()">
	<mat-icon>arrow_back</mat-icon>{{ 'transl.simple.back' | translate }}
</button>
<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<lib-single-select
		[control]="form.controls.accountId"
		[optionsSubject]="accountsSubject"
		selectionKey="_id"
		displayKey="name"
		label="transl.simple.account"
		tabOrder="1"
	></lib-single-select>
	<mat-form-field appearance="outline" (click)="fileInput.click()">
		<input #fileInput hidden multiple type="file" (change)="addFiles($event.target.files)" />
		<mat-label>abc</mat-label>
		<mat-chip-list>
			<mat-chip *ngFor="let file of files" [removable]="true" (removed)="files.splice(files.indexOf(file), 1)">
				<span>{{ file.file.name }}</span>
				<img [src]="file.preview" />
				<mat-icon matChipRemove>cancel</mat-icon>
			</mat-chip>
		</mat-chip-list>
	</mat-form-field>

	<button class="fab" tabindex="2" mat-fab color="accent" [disabled]="loading || form.invalid">
		<mat-icon>play_arrow</mat-icon>
	</button>
</form>
